classification
Title: test_select.py converted to unittest
Type: enhancement Stage:
Components: Tests Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, giampaolo.rodola, pitrou
Priority: normal Keywords: patch

Created on 2008-01-28 01:21 by giampaolo.rodola, last changed 2008-03-13 20:49 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
test_select.diff giampaolo.rodola, 2008-01-28 01:21 test_select.py converted to unittest
test_select.py giampaolo.rodola, 2008-01-28 01:21 test_select.py converted to unittest (modified .py file)
test_select.diff giampaolo.rodola, 2008-02-06 19:05
Messages (5)
msg61756 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-01-28 01:21
In attachment.
msg61797 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-01-28 20:30
The patch looks and works fine for me.
Two things:
1. it's a shame the tests are skipped for windows or macintosh, but it
was just the same in the original version
2. I don't think sys.platform[:3] can be equal to 'riscos' :)
msg61798 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-01-28 21:19
> 1. it's a shame the tests are skipped for windows or macintosh, but it
> was just the same in the original version

Yeah... I'm probably not the best person for talking about this low
level stuff but since sockets seem to be the most portable thing
accepted by select.select, maybe a listening socket could be used
instead of a process pipe.

> 2. I don't think sys.platform[:3] can be equal to 'riscos'

You're right. The original version was that way and I didn't notice it
was wrong since I've put hands on unittest stuff only.
I think this could be fine:

- if sys.platform[:3] in ('win', 'mac', 'os2', 'riscos'):
+ if sys.platform in ('win16', 'win32', 'win64', 'mac', 'os2', 'riscos'):
msg62117 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2008-02-06 19:05
In attachment is the patch including the sys.platform change discussed
above.
msg63513 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-13 20:49
Went with another test_select conversion from GHOP that added more
tests. Closing as rejected.
History
Date User Action Args
2013-11-11 11:56:09ncoghlanunlinkissue19347 dependencies
2013-11-11 11:55:38ncoghlanlinkissue19347 dependencies
2008-03-13 20:49:59brett.cannonsetstatus: open -> closed
resolution: rejected
messages: + msg63513
2008-02-17 22:11:48brett.cannonsetassignee: brett.cannon
nosy: + brett.cannon
2008-02-06 19:05:37giampaolo.rodolasetfiles: + test_select.diff
messages: + msg62117
2008-01-28 21:19:36giampaolo.rodolasetmessages: + msg61798
2008-01-28 20:30:41pitrousetnosy: + pitrou
messages: + msg61797
2008-01-28 03:36:45christian.heimessetpriority: normal
keywords: + patch
2008-01-28 01:21:54giampaolo.rodolasetfiles: + test_select.py
2008-01-28 01:21:19giampaolo.rodolacreate